Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class CopyWorkflowSystem_PopUp
    Inherits BaseObject

    Private _NeedToCopy As Boolean
    Private _WorkflowSystem As WorkflowSystem

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property NeedToCopy As Boolean
        Get
            Return _NeedToCopy
        End Get
        Set(value As Boolean)
            SetPropertyValue("NeedToCopy", _NeedToCopy, value)
        End Set
    End Property
    Property WorkflowSystem As WorkflowSystem
        Get
            Return _WorkflowSystem
        End Get
        Set(value As WorkflowSystem)
            SetPropertyValue("WorkflowSystem", _WorkflowSystem, value)
        End Set
    End Property
End Class
